| Home | Libraries | People | FAQ | More

##### format_context_base::append_value

Formats a value and adds it to the output string.

###### Synopsis

    template<
        class Formattable>
    format_context_base&
    append_value(
        const Formattable& v);

###### Description

value is formatted according to its type. If formatting generates an error (for instance, a string with invalid encoding is passed), the error state may be set.

The supplied type must satisfy the `Formattable` concept.

###### Exception safety

Basic guarantee. Memory allocations may throw.

###### Errors

The error state may be updated with the following errors:

- `client_errc::invalid_encoding` if a string with byte sequences that can't be decoded with the current character set is passed.
- `client_errc::unformattable_value` if a NaN or infinity `float` or `double` is passed.
- Any other error code that user-supplied formatter specializations may add using `add_error`.